/* Hex color #faf0e6 = HTML color Linen. linen.jpg sits in the Phonebook directory.  */
/* Phonebook.php posted live on February 18, 2024. Created it in 3 weeks at Willow Beach. */

body {
    margin: 0px;
    padding: 0px;
    background-image: url("linen.jpg");
    background-color: #faf0e6;
	font-family: Arial, Helvetica, sans-serif;
    
}
/* Search box CSS used on View_user, view_sup. */
/* Search background color = #f8f8f8, tan-grey, same as the tables controlled by .mtable */
.search {
    position: static;
    width: 100%;
    border: 1px solid silver;
    text-align: left;
    font-size: 16px;
    font-weight: bold;
	padding-left: 5px;
    padding-top: 0px;
    padding-bottom: 0px;
    color: #4d79ff;
    background: #f8f8f8;
}
/* Background-position % x, % y - all the way right and centered. */
.search input[type="text"]{
    width: 40%;
    font-weight: bold;
    margin: 4px;
    border: 1px solid #04AA6D;
    padding: 7px 7px;
    border-radius: 2px;
	background-color: none;
    background-image: url('search.png');
    background-position: 100% 50%; 
    background-repeat: no-repeat;
}
/* This box controls the Submit button. #04AA6D is W3c green.*/
.search input[type="submit"] {
    text-align: center;
    width: 150px;
    padding: 5px;
    margin: auto 0;
    font-size: 16px;
    background: #04AA6D;
    border: none;
    color: white;
    border-radius: 2px;
}
/* Used in adding parcel and supplier names. */
.addusrbox {
    position: relative;
    width: 50%;
    left: 25%;
    margin-top: 0%;
    border: 2px solid #4d79ff;
    text-align: center;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-bottom: 0%;
    font-weight: bold;
    color: #4d79ff;
    background: linen;
}

.addusrbox h1 {
    text-transform: capitalize;
    text-align: center;
    color: #4d79ff;
    font-size: 25px;
}

.addusrbox select,
.addusrbox input[type="date"],
.addusrbox input[type="text"],
.addusrbox input[type="tel"],
.addusrbox input[type="url"],
.addusrbox input[type="email"],
.addusrbox input[type="password"] {
    width: 340px;
    padding: 10px 10px;
    font-weight: bold;
    margin: 8px;
    border-radius: 2px;
    border: 2px solid #4d79ff;
}
.addusrbox input[type="file"],
.addusrbox input[type="submit"] {
    text-align: center;
    width: 150px;
    padding: 8px;
    padding-left: 20px;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: bold;
    background: #00d1b2;
    border: none;
    color: navajowhite;
    border-radius: 2px;
    margin-left: 22px
}
.addusrbox textarea {
  text-align: left;
  width: 97%;
  height: 100px;
  padding: 10px 20px;
  box-sizing: border-box;
  border: 2px solid #4d79ff;
  border-radius: 4px;
  background-color: #f8f8f8;
  float: right;
  font-size: 16px;
  resize: none;
}

.addusrbox label {
    float: left;
    width: 20px;
    margin-left: 14px;
    margin-top: 12px;
	font-size: 16px;
    color: #4d79ff;
}

/* Used on View_user and view_sup.php pages */

.viewusrbox h1 {
    text-transform: capitalize;
    text-align: center;
    color: #4d79ff;
    font-size: 25px;
}

.viewusrbox h3 {
    text-transform: capitalize;
    text-align: center;
    color: #4d79ff;
    font-size: 15px;
}
.viewusrbox {
    position: relative;
    width: 80%;
    left: 10%;
    margin-top: 3%;
    border: 2px solid #4d79ff;
    text-align: left;
    padding-bottom: 0px;
    background: linen;
}

.viewusrbox input[type="tel"],
.viewusrbox input[type="url"],
.viewusrbox input[type="email"],
.viewusrbox input[type="text"],
.viewusrbox input[type="password"] {
    width: 300px;
    padding: 10px 10px;
    font-weight: bold;
    margin: 8px;
    border: 2px solid #4d79ff;
    border-radius: 2px;
	float: right;
}

.viewusrbox textarea {
  width: 100%;
  height: 150px;
  padding: 12px 20px;
  box-sizing: border-box;
  border: 2px solid #4d79ff;
  border-radius: 4px;
  background-color: #f8f8f8;
  float: right;
  font-size: 16px;
  resize: none;
}

.viewusrbox input[type="submit"] {
    text-align: center;
    width: 150px;
    padding: 8px;
    padding-left: 20px;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 16px;
    background: #00d1b2;
    border: none;
    color: navajowhite;
    border-radius: 2px;
    margin-left: 22px
}

.viewusrbox label {
    float: left;
    width: 20px;
    margin-left: 4px;
    margin-top: 12px;
	font-size: 16px;
    font-weight: bold;
    color: #4d79ff;
}


p.prof {
    text-align: center;
    color: honeydew;
    font-size: 17px;
}

/* Login area setting #e6f2ff = light blue , #4d79ff = medium blue. #04AA6D; = Wc3 green.*/
/* This code displays the Login Box */

.loginbox {
    position: absolute;
    width: 40%;
    left: 30%;
    top: 20%;
    border: 5px solid #4d79ff;
    text-align: center;
    font-weight: bold;
    padding-bottom: 14px;
    color: #04AA6D;
    background: linen;
}
.loginbox h1 {
    text-transform: capitalize;
    text-align: center;
    color: #4d79ff;
    font-size: 25px;
}

.loginbox input[type="text"],
.loginbox input[type="password"] {
    width: 80%;
    padding: 5px 10px;
    margin: 8px;
    border: 2px solid #04AA6D;
    padding: 11px 5px;
    border-radius: 2px;
}

.loginbox label {
    margin-left: 5px;
    font-weight: bold;
    color: #4d79ff;
}
/* This box controls the Submit button. #04AA6D is W3c green.*/
.loginbox input[type="submit"] {
    text-align: center;
    width: 150px;
    padding: 10px;
    margin: auto 0;
    margin-left: 66px;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 16px;
    background: #04AA6D;
    border: none;
    color: navajowhite;
    border-radius: 2px;
}


.passbox {
    position: absolute;
    width: 400px;
    left: 30%;
    top: 20%;
    border: 1px solid #faffbd;
    text-align: center;
    padding-bottom: 14px;
    color: #83d0f2;
}

.passbox lable {
    float: left;
    width: 101px;
    padding-top: 16px;
    margin-left: 4px;
}

.passbox h1 {
    text-transform: capitalize;
    text-align: center;
    color: #83d0f2;
    font-size: 25px;
}

.passbox input[type="text"],
.passbox input[type="password"] {
    width: 240px;
    padding: 5px 10px;
    font-weight: bold;
    margin: 8px;
    border: none;
    padding: 11px 5px;
    border-radius: 2px;
}

.passbox input[type="submit"] {
    text-align: center;
    width: 150px;
    padding: 10px;
    margin: auto 0;
    margin-left: 90px;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 16px;
    background: #00d1b2;
    border: none;
    color: navajowhite;
    border-radius: 2px;
}


a#reg {
    text-decoration: none;
    color: #faffbd;
}


/*Regisration area setting*/

.registbox {
    position: absolute;
    width: 400px;
    left: 35%;
    top: 15%;
    border: 1px solid gray;
    text-align: center;
    padding-bottom: 14px;
    border: 1px solid #faffbd;
}

.registbox h1 {
    text-transform: capitalize;
    text-align: center;
    color: #83d0f2;
    font-size: 25px;
}

p.acount {
    color: #83d0f2;
}

.registbox input[type="text"],
.registbox input[type="password"] {
    width: 240px;
    padding: 10px 10px;
    font-weight: bold;
    margin: 8px;
    border: none;
    border-radius: 2px;
}

.registbox input[type="submit"] {
    text-align: center;
    width: 150px;
    padding: 8px;
    margin-left: 22px;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 16px;
    background: #00d1b2;
    border: none;
    color: navajowhite;
    border-radius: 2px;
}

.registbox label {
    float: left;
    width: 20px;
    margin-left: 14px;
    margin-top: 12px;
    color: #83d0f2;
}

p.addusererror,
p.aderrorMsg {
    text-align: center;
    border: 1px solid #04AA6D;
    background-color: red;
    color: cornsilk;
    width: 285px;
    position: absolute;
    left: 36%;
    border-radius: 2px;
    font-size: 17px;
    padding: 6px;
    top: 20%;
}

p.errorMsg {
    text-align: center;
    border: 1px solid #04AA6D;
    background-color: red;
    color: cornsilk;
    width: 285px;
    position: absolute;
    left: 39%;
	top: 30%
    border-radius: 2px;
    font-size: 17px;
    padding: 6px;
}

p.loginerror {
    text-align: center;
    border: 1px solid #04AA6D;
    background-color: red;
    color: cornsilk;
    width: 285px;
    position: absolute;
    left: 39%;
    border-radius: 2px;
    font-size: 17px;
    padding: 6px;
}


/*Dashboard page setting*/

div#main {
    position: absolute;
    width: 80%;
    left: 10%;
    top: 0%;
    padding: 10px;
    color: #000000;
}

#main h1 {
    text-transform: capitalize;
    text-align: center;
    color: #000000;
}

#main h3 {
    text-transform: capitalize;
    text-align: center;
    color: #000000;
}

p.loged span {
    text-transform: uppercase;
    font-weight: bold;
}

p.loged {
    text-align: center;
    font-size: 16px;
    color: #4d79ff;
}

.totalcontact p {
    text-align: center;
    margin-top: 50px;
    border-radius: 58%;
    border: 6px solid #04AA6D;
    padding: 58px;
    color: #04AA6D;
    font-size: 35px;
}

.totalcontact p span {
    font-size: 34px;
}

h2.chead {
    margin-left: 36px;
    text-transform: capitalize;
    background: honeydew;
    padding: 6px 7px;
    width: 415px;
    color: blue;
    border-radius: 2px 19px white;
    box-shadow: 8px greenyellow;
    border: 1px dashed darkorange;
}

p.cpara {
    margin-left: 46px;
    font-size: 20px;
    color: ; #4d79ff
}


/*(Add user page setting*/

p.view {
    margin: 0 auto;
}

p.count {
    background: darkorange;
    float: right;
    margin-top: -38px;
    width: 25%;
    border-radius: 7px;
    color: white;
    padding: 1px 5px;
    border: none;
    margin-right: -11px;
}

p.cpasssuc {
    text-align: center;
    border: 1px solid #04AA6D;
    background-color: green;
    color: cornsilk;
    width: 285px;
    position: absolute;
    left: 36%;
    border-radius: 2px;
    font-size: 17px;
    padding: 6px;
    top: 20%;
}

p.cpass {
    text-align: center;
    border: 3px solid 00e673;
    background-color: red;
    color: cornsilk;
    width: 285px;
    position: absolute;
    left: 36%;
    border-radius: 2px;
    font-size: 17px;
    padding: 6px;
    top: 20%;
}

p.addsucces {
    text-align: center;
    /* margin-top: 36px; */
    border: 1px solid #04AA6D;
    background-color: seagreen;
    color: cornsilk;
    width: 252px;
    position: absolute;
    left: 37%;
    padding: 5px;
    border-radius: 2px;
    font-size: 19px;
    top: 21%;
}

p.succes {
    text-align: center;
    /* margin-top: 36px; */
    border: 1px solid #04AA6D;
    background-color: seagreen;
    color: cornsilk;
    width: 252px;
    position: absolute;
    left: 30%;
    padding: 3px;
    border-radius: 2px;
    font-size: 19px;
}

p.regsucces {
    text-align: center;
    /* margin-top: 36px; */
    border: 1px solid #04AA6D;
    background-color: seagreen;
    color: cornsilk;
    width: 252px;
    position: absolute;
    left: 40%;
    padding: 3px;
    border-radius: 2px;
    font-size: 19px;
}
/* Add a new parcel page - adduser.php. Similar colors to the Login box. */

/* view user page setting. Table below is used on the View Profile page */

table.viewtabl {
    table-layout: auto;
    border-collapse: collapse;
    width: 100%;
    background: lightyellow;
    border-radius: 5px;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 15px;
}

.viewtabl th, td {
    border: 0px solid lightgray;
    text-align: left;
    padding: 5px 10px;
}

.viewtabl tr:nth-child(even) {
  background-color: #D6EEEE;
}

table.viewtabl td.ev a#del,
a#edt {
    background: #D6EEEE;
    padding: 1px 2px;
    text-align: center;
    border-radius: 2px;
    text-decoration: none;
    margin: 0px 0px;
    color: lightseagreen;
}

table.viewtabl td.ev a#del:hover,
table.viewtabl td.ev a#edt:hover {
    background: #D6EEEE;
}


/* change password page setting */

.loginbox lable {
    float: left;
    width: 101px;
    padding-top: 16px;
    margin-left: 4px;
}

/* CSS for Top Menu or Navigation Bar */

.topnav {
  overflow: hidden;
  background-color: #333;
  margin-top: 0%;
}

.topnav a {
  float: left;
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

.topnav .active {
  background-color: #04AA6D;
  color: white;
}
.topnav .active1 {
  background-color: #333;
  color: white;
}

.topnav .icon {
  display: none;
}

.topnav .dropdown {
  float: left;
  overflow: hidden;
}

.topnav .dropdown .dropbtn {
  font-size: 17px;    
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 3;
}

.dropdown-content a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.topnav a:hover, .dropdown:hover .dropbtn {
  background-color: #555;
  color: white;
}

.dropdown-content a:hover {
  background-color: NavajoWhite;
  color: brown;
}

.topnav .dropdown:hover .dropdown-content {
  display: block;
}

@media screen and (max-width: 600px) {
  .topnav a:not(:first-child), .dropdown .dropbtn {
    display: none;
  }
  .topnav a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
  .topnav.responsive .dropdown {float: none;}
  .topnav.responsive .dropdown-content {position: relative;}
  .topnav.responsive .dropdown .dropbtn {
    display: block;
    width: 100%;
    text-align: left;
  }
}

table td label {
    color: #83d0f2;
}

 /* Controls the Edit dropdown box on the View_user and View_sup pages */
  .sdropbtn {
  background-color: #04AA6D;
  color: white;
  padding: 5px;
  font-size: 16px;
  border: none;
  cursor: pointer;
}

.sdropdown {
  position: relative;
  display: inline-block;
}

.sdropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 120px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.sdropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.sdropdown-content a:hover {background-color: NavajoWhite; color: brown;}

.sdropdown:hover .sdropdown-content {
  display: block;
}

.sdropdown:hover .sdropbtn {
  background-color: #3e8e41;
}

      .rbutton {
        display: block;
        position: absolute;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        color: #000000;
        background-color: Yellow;
        border-radius: 6px;
        outline: none;
        transition: 0.3s;
        border: 2px solid transparent;
        cursor: pointer;
      }
      .rbutton:hover,
      .rbutton:focus {
        background-color: NavajoWhite;
        border-color: none;
      }
/* Used on footer.php page */

  .ftable {
  border: 1px solid #ccc;
  border-collapse: collapse;
  color: white;
  margin-top: 2%;
  padding: 0;
  width: 100%;
  table-layout: fixed;
}

.ftable caption {
  font-size: 1.5em;
  margin: .5em 0 .75em;
}

.ftable a:link, a:visited {
  background-color: silver;
  color: black;
  padding: 14px 25px;
  text-align: center;
  text-decoration: underline;
  display: inline-block;
}

.ftable a:hover, a:active {
  background-color: NavajoWhite;
  color: brown;
}

.ftable th {
  background-color: black;
  border: 0px solid #ddd;
  padding: .35em;
  font-size: .85em;
  letter-spacing: .1em;
  text-transform: uppercase;
}

.ftable th,
.ftable td {
  padding: .625em;
  text-align: left;
}

/* Wc3 green for Column 1 */
.ftable td.col1{
  background-color: #04AA6D;
}
.ftable td.col2{
  background-color: Silver;
}
.ftable td.col3{
  background-color: Silver;
}
.ftable td.col4{
  background-color: #04AA6D;
}

@media screen and (max-width: 600px) {
  .ftable {
    border: 0;

  }

  .ftable caption {
    font-size: 1.3em;
  }
  
  .ftable thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }
  
  .ftable tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: .625em;
  }
  
  .ftable td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
  }
  
  .ftable td::before {
    /*
    * aria-label has no advantage, it won't be read inside a table
    content: attr(aria-label);
    */
    content: attr(data-label);
    float: left;
    font-weight: bold;
    text-transform: uppercase;
  }
  
  .ftable td:last-child {
    border-bottom: 0;
  }
}

/* Main Table used on View_user.php and view_sup.php */
  .mtable {
  border: 1px solid #ccc;
  border-collapse: collapse;
  margin-top: 5%;
  padding: 0;
  width: 100%;
  table-layout: auto;
}
/* Sets the first(1) TD column to 5%. Leaves 95% to be automatically 
and evenly divided according to the contents. table-layout must = auto.
Add complete statement for 2,3, 4th etc columns. */

.mtable td:nth-child(1) {
                width: 5%;
            }

.mtable caption {
  font-size: 1.5em;
  margin: .5em 0 .75em;
}

.mtable tr:nth-child(even) {background-color: #D6EEEE;}

.mtable tr {
  background-color: #f8f8f8;
  border: 1px solid #ddd;
  padding: .35em;
}

.mtable th,
.mtable td {
  padding: .625em;
  text-align: left;
}

.mtable th {
  background-color: black;
  border: 0px solid #ddd;
  padding: .35em;
  font-size: .85em;
  color: white;
  letter-spacing: .1em;
  text-transform: uppercase;
}

@media screen and (max-width: 600px) {
  .mtable {
    border: 0;

  }

  .mtable caption {
    font-size: 1.3em;
  }
  
  .mtable thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }
  
  .mtable tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: .625em;
  }
  
  .mtable td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
  }
  
  .mtable td::before {
    /*
    * aria-label has no advantage, it won't be read inside a table
    content: attr(aria-label);
    */
    content: attr(data-label);
    float: left;
    font-weight: bold;
    text-transform: uppercase;
  }
  
  .mtable td:last-child {
    border-bottom: 0;
  }
}